# Dla każdego słowa, które występuje w ogóle w pliku, wypisz ile razy ono występuje.
import re
pattern = re.compile(r'\w+')

slownik = {}
with open('pan_tadeusz.txt', mode='r', encoding='utf-8') as plik:
    for linia in plik:
        for slowo in re.findall(pattern, linia):
            # gdy już było w słowniku → zwiększamy liczbę wystąpień
            if slowo in slownik:
                slownik[slowo] += 1
            # gdy słowo widzimy po raz pierwszy → dodajemy do słownika
            else:
                slownik[slowo] = 1

# print(slownik)
for slowo, ile in slownik.items():
    print(slowo, ile)
